Commit 94ab8f41 authored by Masahiro Yamada's avatar Masahiro Yamada Committed by Tom Rini

MAKEALL: run genboardscfg.py all the time

This commit makes sure boards.cfg is up to date before starting
the build tests.  tools/genboardscfg.py exits immediately printing
"boards.cfg is up to date. Nothing to do." when boards.cfg is
already new.
Signed-off-by: default avatarMasahiro Yamada <yamada.m@jp.panasonic.com>
parent 9c2d60c3
......@@ -171,13 +171,10 @@ GNU_MAKE=$(scripts/show-gnu-make) || {
# echo "Remaining arguments:"
# for arg do echo '--> '"\`$arg'" ; done
if [ ! -r boards.cfg ]; then
echo "Could not find boards.cfg"
tools/genboardscfg.py || {
echo "Failed to generate boards.cfg" >&2
exit 1
}
fi
tools/genboardscfg.py || {
echo "Failed to generate boards.cfg" >&2
exit 1
}
FILTER="\$1 !~ /^#/"
[ "$opt_a" ] && FILTER="${FILTER} && $opt_a"
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment